import matplotlib.pyplot as plt
from syncsweptsine import SyncSweep, HigherHarmonicImpulseResponse
sweep = SyncSweep(10, 10000, 5, 80000)
sig = sweep.get_windowed_signal(4096, 4096, 2*8192, 4*8192)
measured = sig + 0.5*sig**2 + 0.25*sig**3
hhir = HigherHarmonicImpulseResponse.from_sweeps(sweep, measured)
plt.plot(hhir)
plt.xlim([0, len(hhir.hhir)])
plt.xlabel('sample')
plt.ylabel('amplitude')
plt.title('Higher Harmonic Impulse Response')
plt.show()